Subject: bug#22295: viper-mode undo bug introduced between Nov 10 and Nov 14

From: [email-masked] (Phillip Lord)
Date: Wed, 01 Jun 2016 23:41:38 +0100

Michael Kifer <[email-masked]> writes:

> On 06/01/2016 06:23 PM, Phillip Lord wrote:
>> Viper's solution of introducing a 'viper symbol is a nice one, but has
>> it's problems. If you do, for example
>>
>> i helo C-b k C-/ C-/
>>
>> We get an error from the undo system.
>>
>> primitive-undo: Unrecognized entry in undo list viper
>
> not in  25.0.50
> viper worked fine with this for 20 years and I'd say it is Emacs breakage, not
> Viper's.

Okay, will check on that and see what has changed. I was surprised no
one had complained about it.

>> we should now already have the cons cell that represents the tail of the
>> buffer-undo-list.
>>
>> This is also quite a big change, and I worry about buffer compaction --
>> viper-old-buffer-undo-list would not be open for GC.
>
> Do you know who made the changes to the emacs undo list? Maybe complain to
> him?

Sadly, that would be me. This is the reason I am trying to fix a mode
that I don't use! Although, by the time I have finished this, maybe I
will know the keystrokes well enough that I will switch.

Phil